@import "../global.css";
@import "../seamless.css";
@import "../convert-pcg-to-nm.css";

div#root {
  --primary: #00487c;
  --primary-text: #00487c;
  --primary-svg: #00487c;
  --secondary: var(--gold);
  --secondary-text: var(--gold);
  --secondary-svg: var(--gold);
  --secondary-accent-line: var(--gold);
}

/* DBA logo */
div#root .fwm-team-header-entity-logo-image {
  width: 15.625rem;
}

/* Align Center - Wide */
.fwm-column-halves .fwm-nestable-flex {
  align-items: center;
}

/* Primary H2 */
.fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  line-height: 1.2;
  font-size: 2rem;
  font-weight: 300;
}
.fwm-section-header .fwm-section-header-hgroup::after {
  content: "";
  display: block;
  width: 9.375rem;
  height: 0.0625rem;
  background: var(--secondary);
  margin: 0.9375rem 0 1.875rem;
}

.fwm-lightTheme .fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  color: var(--primary-text);
}

.fwm-section-header.fwm-text-align-center .fwm-section-header-hgroup::after {
  margin: 0.75rem auto;
}

@media (min-width: 48rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 2.75rem;
  }
}
@media (min-width: 64rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 3.5rem;
  }
}
/* Primary H3 */
h3.fwm-primary-h3.fwm-primary-h3 {
  letter-spacing: 0.03125rem;
  line-height: 1.2;
  font-weight: 300;
  text-transform: uppercase;
}
h3.fwm-primary-h3.fwm-primary-h3::after {
  display: block;
  width: 10rem;
  height: 1px;
  background: var(--secondary);
}

.fwm-lightTheme h3.fwm-primary-h3.fwm-primary-h3 {
  color: var(--primary-text);
}

@media (min-width: 48rem) {
  h3.fwm-primary-h3.fwm-primary-h3 {
    font-size: 1.25rem;
  }
}
@media (min-width: 64rem) {
  h3.fwm-primary-h3.fwm-primary-h3 {
    font-size: 1.5rem;
  }
}
/* Primary H2 - Eyebrow */
.fwm-section-header .fwm-section-header-hgroup .fwm-section-header-eyebrow-text {
  font-size: 1rem;
  font-weight: bold;
  padding-bottom: 0;
}

.fwm-lightTheme .fwm-section-header .fwm-section-header-hgroup .fwm-section-header-eyebrow-text {
  color: var(--primary-text);
}

@media (min-width: 48rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-eyebrow-text {
    font-size: 1.25rem;
  }
}
@media (min-width: 64rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-eyebrow-text {
    font-size: 1.25rem;
  }
}
/* Hero Gradient/Box (has Supporting Text) */
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup {
  position: relative;
  display: flex;
  flex-direction: column-reverse;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
  font-weight: 300;
  text-transform: uppercase;
  padding-bottom: 0;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
  text-transform: uppercase;
  letter-spacing: 0.3rem;
  padding-bottom: 0;
  font-weight: normal;
  margin-bottom: 1rem;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container.fwm-hero-no-cta hgroup::before {
  content: "";
  display: block;
  position: absolute;
  left: 50%;
  transform: translateX(-50%) rotate(180deg);
  width: 18.75rem;
  height: 3.125rem;
  background: none;
  top: -3.75rem;
  background: url("https://media.northwesternmutual.com/sites/images/custom-content-photo-full/060c1b92-b39d-4fbe-8be4-be188fe563a9.png?width=original") no-repeat center center/cover;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container.fwm-hero-no-cta hgroup::after {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  width: 18.75rem;
  height: 3.125rem;
  bottom: -3.75rem;
  background: url("https://media.northwesternmutual.com/sites/images/custom-content-photo-full/060c1b92-b39d-4fbe-8be4-be188fe563a9.png?width=original") no-repeat center center/cover;
}

@media (min-width: 48rem) {
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 4.5rem;
  }
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
    font-size: 1.25rem;
  }
}
@media (min-width: 64rem) {
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 5rem;
  }
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
    font-size: 1.5rem;
  }
}
/* Awards */
.fwm-awards-Horizontal .fwm-custom-content-wrapper-disclaimer {
  border-top: none;
}

/* Photo Overlay - Wide */
@media (min-width: 48rem) {
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)) .fwm-photo-overlay-image {
    position: relative;
    z-index: 10;
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)) .fwm-photo-overlay-content {
    position: relative;
    z-index: 12;
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom))::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    height: 90%;
    width: 70%;
    transform: translate(0, -50%);
    background: var(--primary);
    z-index: 1;
  }
  .fwm-photo-overlay.fwm-column-halves.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)).fwm-media-right::after {
    right: 0;
    left: initial;
  }
}
/* Custom Photo - Wide */
section.fwm-photo-panel.fwm-column-halves.fwm-lightTheme .fwm-PhotoComponent-container {
  position: relative;
  align-self: flex-start;
}
section.fwm-photo-panel.fwm-column-halves.fwm-lightTheme .fwm-PhotoComponent-container picture {
  position: relative;
  z-index: 5;
}
section.fwm-photo-panel.fwm-column-halves.fwm-lightTheme .fwm-PhotoComponent-container::before {
  content: "";
  background-color: var(--primary);
  position: absolute;
  height: calc(100% + 4rem);
  width: calc(80% - 1.875rem);
  top: 50%;
  transform: translateY(-50%);
  left: calc(-20% + 1.875rem);
  z-index: 1;
}
section.fwm-photo-panel.fwm-column-halves.fwm-lightTheme.fwm-media-right .fwm-PhotoComponent-container::before {
  left: initial;
  right: calc(-10% + 1.875rem);
}
section.fwm-photo-panel.fwm-column-halves.fwm-lightTheme .fwm-nestable-content.fwm-nestable-flex.fwm-nestable-flex-media-left {
  padding-top: 2.19rem;
}
section.fwm-photo-panel.fwm-column-halves.fwm-lightTheme .fwm-nestable-flex {
  align-items: center;
}

/* Photo Overlay - Narrow */
@media (min-width: 48rem) {
  .fwm-photo-overlay.fwm-column-thirds.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)) .fwm-photo-overlay-image {
    position: relative;
    z-index: 10;
  }
  .fwm-photo-overlay.fwm-column-thirds.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)) .fwm-photo-overlay-content {
    position: relative;
    z-index: 12;
  }
  .fwm-photo-overlay.fwm-column-thirds.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom))::before {
    content: "";
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    left: 0;
    height: 90%;
    width: 43%;
    background: var(--primary);
    z-index: 1;
  }
  .fwm-photo-overlay.fwm-column-thirds.fwm-lightTheme.fwm-not-subcomponent:not(:has(.fwm-nestable-header-top)):not(:has(.fwm-nestable-footer-bottom)).fwm-media-right::before {
    right: 0;
    left: initial;
  }
}
div#root .fwm-nestable-e1edadf8-4dcd-415b-ac8b-faa64447e9db hgroup::after, div#root .fwm-nestable-e1edadf8-4dcd-415b-ac8b-faa64447e9db hgroup::before {
  display: none;
}
div#root .fwm-nestable-e1edadf8-4dcd-415b-ac8b-faa64447e9db hgroup h2 {
  color: inherit;
  font-size: 2rem;
  font-weight: inherit;
  letter-spacing: inherit;
  text-transform: inherit;
  border: none;
  padding-bottom: 0.5rem;
}
div#root .fwm-nestable-e1edadf8-4dcd-415b-ac8b-faa64447e9db picture {
  box-shadow: none;
}
div#root .fwm-nestable-e1edadf8-4dcd-415b-ac8b-faa64447e9db .fwm-team-selection-title {
  border-color: var(--secondary);
}